Bug 1579935 - nagios-common permissions issue with /usr/lib64/nagios/plugins directory
Summary: nagios-common permissions issue with /usr/lib64/nagios/plugins directory
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 18:29 UTC by Petaris
Modified: 2019-02-02 00:39 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-02 00:39:31 UTC


Attachments (Terms of Use)

Description Petaris 2018-05-18 18:29:28 UTC
Description of problem: The default permissions are incorrect for the /usr/lib64/nagios/plugins directory.  It should not be group writable as it will not pass compliance checks (via openscap).  It should be 0755 NOT 0775.


Version-Release number of selected component (if applicable):   nagios-common-4.3.4-5.el7.x86_64


How reproducible:  Everytime


Steps to Reproduce:
1.  Install the nagios-common package
2.  Check permissions on /usr/lib64/nagios/plugins directory

Actual results:  Permissions will be 0775


Expected results:  Permissions should be 0755


Additional info:  This results in a compliance check failure when using openscap to scan the system against the US Government Configuration Baseline / STIG profile.

Comment 1 Stephen John Smoogen 2018-07-24 23:43:33 UTC
Fix should appear in next build.

Comment 2 Fedora Update System 2018-07-25 00:52:51 UTC
nagios-4.3.4-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 3 Fedora Update System 2018-07-25 19:52:27 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 4 Fedora Update System 2018-07-26 11:50:01 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 5 Fedora Update System 2018-11-30 19:58:52 UTC
nagios-4.4.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 6 Fedora Update System 2018-12-01 01:55:27 UTC
nagios-4.4.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 7 Fedora Update System 2019-01-17 00:14:52 UTC
nagios-4.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 8 Fedora Update System 2019-01-18 01:00:35 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 9 Fedora Update System 2019-02-02 00:39:31 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.